package ipp.imse.fusionOptics.imse;

import fusionOptics.lenses.Nikon135mmF28;
import fusionOptics.lenses.Nikon50mmF11;
import fusionOptics.lenses.SchneiderXenon25mmF095;

public class IMSEOptics105_35 extends IMSEOptics {
	public IMSEOptics105_35() {
	
		focalLength1 = 0.105;
		
		focalLength2 = 0.035;

		rotateObjLens = true;
		
		imgLensPlaneToCell = 0.030;

		objLensPlaneToCell = rotateObjLens ? 0.080 : 0.080;
		
		objLens = new Nikon50mmF11(new double[]{ focalLength1 + focusAdjustObj, 0, 0 }, 0.105/0.050);
		objLensCaseRadius = ((Nikon50mmF11)objLens).getCaseRadius();
		
		imgLens = new Nikon50mmF11(new double[]{ imgLensPos(), 0, 0 }, 0.035/0.050);
		imgLensCaseRadius = ((Nikon50mmF11)objLens).getCaseRadius();
				
		init();
	}
}
